| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_frame_data Struct Reference
Frame Data

## Public Attributes
uint32_t | num
uint32_t | dis_num
uint32_t | pkt_len
uint32_t | cap_len
int64_t | file_off
GSList * | pfd
GHashTable * | dependent_frames
const struct _color_filter * | color_filter
uint32_t | cum_bytes
uint8_t | tcp_snd_manual_analysis
unsigned int | passed_dfilter: 1
unsigned int | dependent_of_displayed: 1
unsigned int | encoding: 1
unsigned int | visited: 1
unsigned int | marked: 1
unsigned int | ref_time: 1
unsigned int | ignored: 1
unsigned int | has_ts: 1
unsigned int | has_modified_block: 1
unsigned int | need_colorize: 1
unsigned int | tsprec: 4
nstime_t | abs_ts
nstime_t | shift_offset
uint32_t | frame_ref_num
uint32_t | prev_dis_num
GSList * | aggregation_keys

## Member Data Documentation

## ◆ abs_ts

nstime_t _frame_data::abs_ts

Absolute timestamp

## ◆ aggregation_keys

GSList* _frame_data::aggregation_keys

Holds the aggregation_key values used for rendering the aggregation view.

## ◆ cap_len

uint32_t _frame_data::cap_len

Amount actually captured

## ◆ color_filter

const struct _color_filter* _frame_data::color_filter

Per-packet matching color_filter_t object

## ◆ cum_bytes

uint32_t _frame_data::cum_bytes

Cumulative bytes into the capture

## ◆ dependent_frames

GHashTable* _frame_data::dependent_frames

A hash table of frames which this one depends on

## ◆ dependent_of_displayed

unsigned int _frame_data::dependent_of_displayed

1 if a displayed frame depends on this frame

## ◆ dis_num

uint32_t _frame_data::dis_num

Displayed frame number

## ◆ encoding

unsigned int _frame_data::encoding

Character encoding (ASCII, EBCDIC...)

## ◆ file_off

int64_t _frame_data::file_off

File offset

## ◆ frame_ref_num

uint32_t _frame_data::frame_ref_num

Reference frame for relative timestamps (can be this frame)

## ◆ has_ts

unsigned int _frame_data::has_ts

1 = has time stamp, 0 = no time stamp

## ◆ ignored

unsigned int _frame_data::ignored

1 = ignore this frame, 0 = normal

## ◆ marked

unsigned int _frame_data::marked

1 = marked by user, 0 = normal

## ◆ need_colorize

unsigned int _frame_data::need_colorize

1 = block for this packet has been modified 1 = need to (re-)calculate packet color

## ◆ num

uint32_t _frame_data::num

Frame number

## ◆ passed_dfilter

unsigned int _frame_data::passed_dfilter

1 = display, 0 = no display

## ◆ pfd

GSList* _frame_data::pfd

Per frame proto data

## ◆ pkt_len

uint32_t _frame_data::pkt_len

Packet length

## ◆ prev_dis_num

uint32_t _frame_data::prev_dis_num

Previous displayed frame (0 if first one)

## ◆ ref_time

unsigned int _frame_data::ref_time

1 = marked as a reference time frame, 0 = normal

## ◆ shift_offset

nstime_t _frame_data::shift_offset

How much the abs_tm of the frame is shifted

## ◆ tcp_snd_manual_analysis

uint8_t _frame_data::tcp_snd_manual_analysis

TCP SEQ Analysis Overriding, 0 = none, 1 = OOO, 2 = RET , 3 = Fast RET, 4 = Spurious RET

## ◆ tsprec

unsigned int _frame_data::tsprec

Time stamp precision -2^tsprec gives up to femtoseconds

## ◆ visited

unsigned int _frame_data::visited

Has this packet been visited yet? 1=Yes,0=No

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/frame_data.h